#include <iostream>

class Test
{
protected:
	static int cpt;
public:
	Test() {cpt++;}
	int GetCpt() const {return cpt;}
};

int Test::cpt=0;

int main()
{
	Test a;
	Test b;
	std::cout << a.GetCpt() << " " << b.GetCpt() << std::endl;
	return 0;
}

/*!F
	Une donne membre static permet de grer une variable commune  toutes les instances.

	Ici, cpt est commune  toutes les instances. Dans le main, je cre une instance a et b.
	Chaque constructeur incrmente la variable.

	Quand j'affiche la valeur, c'est bien entendu la mme pour les deux instances, et c'est donc 2 ici.

	La prcaution  prendre est l'initialisation de la variable static. 
	En effet, elle a besoin d'tre initialise. Pour cela, on le fait hors classe, juste aprs, avec la syntaxe ci dessus.
!*/

/*!E
	No explanations yet.
!*/

/*
titre: Donne membre static.
titreE: static members.
meta: C++
metaE: C++
desc : Donne membre static 
descE : static members.
cle  : static
*/

